Name:		gfcc
Version:	0.7.4
Release:	14mdk
Summary:	GTK+ Firewall Control Center

Source0:	%{name}-%{version}.tar.bz2
Source1:	icons-%{name}.tar.bz2

URL:		http://icarus.autostock.co.kr/ 
License:	GPL
Group:		System/Configuration/Networking
BuildRequires:	gtk+-devel
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	ipchains
Requires:	gtk+ >= 1.2.0
Requires:	usermode

%description
gfcc (GTK+ Firewall Control Center) is a GTK+ application which can control
Linux firewall policies and rules, based on ipchains package. 

%prep

%setup -q 

%build
(tar xfz libipfwc.tar.gz
cd libipfwc
%make CFLAGS="%optflags")

%configure --with-ipfwc=./libipfwc --datadir=%{_datadir}

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_datadir/gfcc/rules}

%makeinstall

mv $RPM_BUILD_ROOT%_bindir/gfcc $RPM_BUILD_ROOT%_bindir/gfcc.real
ln -s consolehelper $RPM_BUILD_ROOT%_bindir/gfcc

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/{security/console.apps,pam.d}

%define __slibdir %_lib/security/

cat << EOF >$RPM_BUILD_ROOT%_sysconfdir/security/console.apps/gfcc
USER=root
PROGRAM=/usr/bin/gfcc.real
SESSION=true
FALLBACK=false
EOF

cat << EOF >$RPM_BUILD_ROOT%_sysconfdir/pam.d/gfcc
#%PAM-1.0
auth       sufficient   %__slibdirpam_rootok.so
auth       required %__slibdirpam_stack.so service=system-auth
account    required %__slibdirpam_permit.so
session    optional %__slibdirpam_xauth.so
EOF

# Menu
install -d %buildroot/%_menudir
cat >$RPM_BUILD_ROOT%_menudir/gfcc <<EOF
?package(gfcc): command="%{_bindir}/gfcc" needs="X11" \
icon="gfcc.png" section="Configuration/Networking" \
title="Gfcc" longtitle="GTK+ Firewall Control Center"
EOF

#mdk icons
mkdir -p $RPM_BUILD_ROOT%_iconsdir
tar xjvf %SOURCE1 -C $RPM_BUILD_ROOT%_iconsdir

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README README.ko TODO texinfo.tex
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%_bindir/*
%_datadir/gfcc/*
%_menudir/gfcc
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png

%changelog
* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.4-14mdk
- rebuild

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.4-13mdk
- fix hardcoded-library-path

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.4-12mdk
- rpmlint fixes

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.4-11mdk
- xpm -> png icons
- spec clean

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.4-10mdk
- BuildRequires: gtk+-devel
- Removed redundantBuildRequires

* Sat Apr 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7.4-9mdk
- Use %%_tmppath for BuildRoot (allow build as user)

* Thu Apr 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-8mdk
- Add console helper call
- Correct icons

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.4-7mdk 
- icons, icons, icons ...

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.4-6mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.4-5mdk
- BM


* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.4-4mdk
- clean post & posun scripts
- Stefan van der Eijk <s.vandereijk@chello.nl> :
	* makeinstall macro
	* macroszifications

* Thu Apr 06 2000 John Buswell <johnb@mandrakesoft.com> 0.7.4-3mdk
- fixed prefix
- fixed menu entry

* Mon Apr 03 2000 John Buswell <johnb@mandrakesoft.com> 0.7.4-2mdk
- postun script fix

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.7.4-1mdk
- 0.7.4
- Removed version number from spec filename
- fixed groups
- spec-helper
- Added menu

* Sun Jan 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.3-3mdk
- Use a %_configure.

* Tue Dec  7 1999 Philippe Libat <philippe@mandrakesoft.com>
- added --datadir
- Add doc

* Tue Nov 23 1999 Philippe Libat <philippe@mandrakesoft.com>
- Upgrade to 0.7.3

* Sat Nov 20 1999 Jarkko Haapalainen <eagle@opp.ysakk.fi>
- Updated to 0.7.2.1 and little updates to .spec file

* Fri Aug 20 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec

* Thu Jul 01 1999 Gianluca Granero <granero@usa.net>
 Updated to 0.7.0

* Mon Jun 07 1999 Gianluca Granero <granero@usa.net>
- First RPM package

# end of file
